import { IScene, ISceneConfigurationRaw, ISceneConfigurationEntityOutput } from '../../EventSystem/EventTypes';
import { Core } from '@byondrnd/byond-web-lib';
import { Visualizer } from 'src/app/Visualizer';
declare type TLocation = {
    index: number;
    experienceId: string;
    id: string;
    organization: string;
    catalog: string;
    sceneConfigurations: ISceneConfigurationRaw;
};
export declare class SceneMetadataManager {
    visualizer: Visualizer;
    sceneConfigurations: Map<string, ISceneConfigurationEntityOutput>;
    metaData?: Core.Metadata.ExperienceMetadata;
    constructor(visualizer: Visualizer);
    init(metaData: Core.Metadata.ExperienceMetadata): void;
    private getMetaData;
    getLocation(sceneId?: string): TLocation;
    getScene(location: TLocation): IScene;
    getApiEndpoint: () => any;
    getApiToken: () => any;
    private getEmail;
    private getPassword;
    getCatalogProps(sceneId: string): {
        experienceId: string;
        apiEndoint: any;
        apiToken: any;
        email: any;
        password: any;
        organization: string;
        catalog: string;
    };
    getSceneTitle: (sceneId: string) => string;
    getSceneSubtitle: (sceneId: string) => string | undefined;
    maxMapSize?: number;
    maxMapSizeMobile?: number;
    maxProductMapSize?: number;
    maxProductMapSizeMobile?: number;
    getMaxMapSize: (sceneId: string | undefined) => number;
    getMaxProductMapSize: (sceneId: string | undefined) => number;
    getSceneList(): IScene[];
    resetSceneConfigurations(): void;
    getSceneConfiguration(sceneId: string | undefined): ISceneConfigurationEntityOutput;
}
export {};
